#pragma once

#include <memory>
#include <netdb.h>

#include "RemotePeer.hpp"
#include "utils/StatList.hpp"


struct Context {
    int socket = -1;
    addrinfo* broadcastAddressInfo = nullptr;

    drp::util::StatList<std::shared_ptr<RemotePeer>> remotePeers {};
    std::shared_ptr<RemotePeer> server = nullptr;

    Peer me;
};
